<div *ngIf="user" class="raamMenu" fxLayout="row" fxLayoutAlign="start end" fxFlex>

  <!-- =========================================================================================================== -->
  <!--                                             Base Route Menu                                                 -->
  <!-- =========================================================================================================== -->
  <raamCard [title]="'Menu'" [menu]="true">
    <div class="hiddenMenu" fxLayoutAlign="start center">

      <div class="visibleMenuItem">
        <img (click)="routeTo('/home')" alt="RaaM Logo" src="../assets/RaaM.svg" matTooltip="Home">
      </div>

      <div class="hiddenMenuItem">
        <img (click)="routeTo('/container')" alt="RaaM Logo" src="../assets/RaaM.svg" matTooltip="Container">
      </div>

    </div>
  </raamCard>

  <!-- =========================================================================================================== -->
  <!--                                             Leading Part (for Repo)                                                 -->
  <!-- =========================================================================================================== -->
  <raamCard *ngIf="displayRepo" fxFlex="10" title="Repository" [current]="activeLead"
            [action]="getRouteTo('/repository')" [fxLayout]="'center center'" [menu]="true">
    <span class="raamHintText bigText">{{displayRepo.name}}</span>
  </raamCard>

  <!-- =========================================================================================================== -->
  <!--                                             Leading Part (for User)                                                -->
  <!-- =========================================================================================================== -->
  <raamCard *ngIf="displayUser" fxFlex="12" title="User" [current]="activeLead"
            [action]="getRouteTo('/users/' + displayUser._id)" [fxLayout]="'center center'" [menu]="true">
    <span class="raamHintText bigText">{{displayUser.getDisplayName()}}</span>
  </raamCard>

  <!-- =========================================================================================================== -->
  <!--                                         Variable Routing Actions                                            -->
  <!-- =========================================================================================================== -->
  <raamCard *ngFor="let action of actions" [title]="action.title" fxFlex="grow"
            [action]="getRouteTo(action.method)" [fxLayout]="'center center'" [current]="action.current" [menu]="true">
    <span class="raamHintText bigText">{{action.text}}</span>
  </raamCard>

  <!-- =========================================================================================================== -->
  <!--                                          Logged In User Display                                             -->
  <!-- =========================================================================================================== -->
  <raamCard *ngIf="user" [title]="'User'" [menu]="true">
    <div class="hiddenMenu right" fxLayoutAlign="end center">
      <div class="hiddenMenuItem">
        <span (click)="logout()" class="fa fa-3x fa-sign-out-alt raamHintText"
              matTooltip="Logout"></span>
      </div>
      <div class="hiddenMenuItem">
        <span (click)="routeTo('/users')" class="fa fa-3x fa-users raamHintText"
              matTooltip="Users"></span>
      </div>
      <img (click)="routeTo('/users/' + user._id)" alt="RaaM Logo" src="../assets/RaaM.svg"
           matTooltip="Edit Own User">
    </div>
  </raamCard>

</div>
